#include <iostream>

using namespace std;

int main()
{
	string t;
	cin>>t;
	int br;
	int n=t.length();
	int o=n;
	for(int i=0; i<n; i++)
	{
		if(t[i]==t[o-1])
		{
			o--;
			continue;
		}
	
		else  br=o-(i*2); break;
		
	}
	if(br==0) br++;
	if(br==n) br--;
	for(int i=0; i<3; i++)
	{
		if(t[i]==t[o-1]) br--;
	}
	cout<<br;
}